Exportar (0) Imprimir
Expandir todo
Este artículo proviene de un motor de traducción automática. Mueva el puntero sobre las frases del artículo para ver el texto original. Más información.
Traducción
Original

ContractFailureKind (Enumeración)

Especifica el tipo de contrato en el que se produjo un error.

Espacio de nombres:  System.Diagnostics.Contracts
Ensamblado:  mscorlib (en mscorlib.dll)

public enum ContractFailureKind

Nombre de miembroDescripción
Compatible con Biblioteca de clases portableCompatible con .NET para aplicaciones de la Tienda WindowsAssertSe produjo un error en un contrato Assert.
Compatible con Biblioteca de clases portableCompatible con .NET para aplicaciones de la Tienda WindowsAssumeSe produjo un error en un contrato Assume.
Compatible con Biblioteca de clases portableCompatible con .NET para aplicaciones de la Tienda WindowsInvariantSe produjo un error en un contrato Invariant.
Compatible con Biblioteca de clases portableCompatible con .NET para aplicaciones de la Tienda WindowsPostconditionSe produjo un error en un contrato Ensures.
Compatible con Biblioteca de clases portableCompatible con .NET para aplicaciones de la Tienda WindowsPostconditionOnExceptionSe produjo un error en un contrato EnsuresOnThrow.
Compatible con Biblioteca de clases portableCompatible con .NET para aplicaciones de la Tienda WindowsPreconditionSe produjo un error en un contrato Requires.

La clase System.Diagnostics.Contracts.ContractFailedEventArgs utiliza la enumeración ContractFailureKind.

.NET Framework

Compatible con: 4.5.2, 4.5.1, 4.5, 4

.NET Framework Client Profile

Compatible con: 4

Biblioteca de clases portable

Compatible con: Biblioteca de clases portable

.NET para aplicaciones de la Tienda Windows

Compatible con: Windows 8

.NET para aplicaciones de Windows Phone

Compatible con: Windows Phone 8, Silverlight 8.1

Windows Phone 8.1, Windows Phone 8, Windows 8.1, Windows Server 2012 R2, Windows 8, Windows Server 2012, Windows 7, Windows Vista SP2, Windows Server 2008 (no se admite el rol Server Core), Windows Server 2008 R2 (se admite el rol Server Core con SP1 o versiones posteriores; no se admite Itanium)

.NET Framework no admite todas las versiones de todas las plataformas. Para obtener una lista de las versiones compatibles, vea Requisitos de sistema de .NET Framework.

Adiciones de comunidad

AGREGAR
Mostrar:
© 2014 Microsoft